# urlEncode

    text urlEncode(value, charset)

Translates the text into application/x-www-form-urlencoded format using the specific charset.

A dictionary value is percent-encoded as a query parameter list; `key=value&key=value`, other data types are converted to text where unsafe characters are percent-encoded.

## Parameters

1. value — value to encode.
2. charset — optional charset, default is UTF-8.

## Returns

- the encoded value.